Subject: Re: [mdnsext] xmDNS support in mdnsresponder for homenet
From: Indtiny s <[email-masked]>
To: Kerry Lynn <[email-masked]>, [email-masked]
Date: Wed, 31 Oct 2012 12:27:38 -0400
List-Id: "Discussion of extensions to Bonjour \(mDNS and DNS-SD\) for routed networks." <mdnsext.ietf.org>

Hi,
The document is almost concluded the basic status .
http://tools.ietf.org/html/draft-lynn-homenet-site-mdns-01

Due to some urgent requirment I need to go with adding the basic ".site"
domain ,i.e Any DNS query for a name ending with ".site." MUST be sent to
the xmDNS multicast address (FF05::FB ) and its IPv4 equivalent to
239.255.255.239. Once the Future versions of this document specifies the
method for creating zones under the ".site." , I will go with full
implementation .

Can you pls tell how to start this with apple mdnsresponder core module ..

Rgds

Indra

On Mon, Oct 29, 2012 at 11:08 AM, Kerry Lynn <[email-masked]> wrote:

> Hi Indra,
>
> First, please note the experimental status of this draft.  It is not
> recommended for
> commercial deploymenat this time.
>
> Second, I have a patch set for an older version of Avahi but haven't tried
> extending
> mdnsresponder.  I will probably have the Avahi patches ready for limited
> distribution
> by next week.
>
> Third, xmDNS assumes you have in place a multicast routing infrastructure
> (like
> PIM-xx) that can create a multicast tree and selectively forward
> site-scoped
> multicast messages.  I do not think it will work well in the face of
> routing loops.
>
> Regards, -K-
>
>
> On Mon, Oct 29, 2012 at 10:42 AM, Indtiny s <[email-masked]> wrote:
>
>> Hi, <http://ietfreport.isoc.org/ids/draft-lynn-homenet-site-mdns-01.txt>
>>
>> I was using the mdnsresponder for my home net related application  now I
>> need to support the xmDNS support as dicussed in the below draft
>> http://ietfreport.isoc.org/ids/draft-lynn-homenet-site-mdns-01.txt
>> <http://ietfreport.isoc.org/ids/draft-lynn-homenet-site-mdns-01.txt>
>>
>> Can some body tell  me how feasible is this to go and edit this in the
>> mdnsreponder  core code  ..?
>>
>>
>> Rgds
>> Indra
>>
>>
>>
>>
>>
>> _______________________________________________
>> mdnsext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mdnsext
>>
>>
>